move.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_FORWARD(_Tp, __val)
#define | _GLIBCXX_FWDREF(_Tp)
#define | _GLIBCXX_MOVE(__val)

## Typedefs

template<typename _Tp, typename _Up>
using | std::__like_t

## Functions

template<typename _Tp>
constexpr _Tp * | std::__addressof (_Tp &__r) noexcept
template<typename _Tp, typename _Up = _Tp>
constexpr _Tp | std::__exchange (_Tp &__obj, _Up &&__new_val)
template<typename _Tp>
constexpr _Tp * | std::addressof (_Tp &__r) noexcept
template<typename _Tp>
const _Tp * | std::addressof (const _Tp &&)=delete
template<typename _Tp>
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &&__t) noexcept
template<typename _Tp>
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &__t) noexcept
template<typename _Tp>
constexpr std::remove_reference< _Tp >::type && | std::move (_Tp &&__t) noexcept
template<typename _Tp>
constexpr __conditional_t< __move_if_noexcept_cond< _Tp >::value, const _Tp &, _Tp && > | std::move_if_noexcept (_Tp &__x) noexcept
template<typename _Tp> requires (! __is_tuple_like<_Tp>::value) && is_move_constructible_v<_Tp> && is_move_assignable_v<_Tp>
constexpr void | std::swap (_Tp &__a, _Tp &__b) noexcept(/*conditional */) is_nothrow_move_assignable< _Tp > >
template<typename _Tp, size_t _Nm> requires is_swappable_v<_Tp>
constexpr void | std::swap (_Tp(&__a)[_Nm], _Tp(&__b)[_Nm]) noexcept(/*conditional */)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file move.h.

## Macro Definition Documentation

## _GLIBCXX_FORWARD

#define _GLIBCXX_FORWARD | ( |  | _Tp,
|  |  | __val )

Definition at line 199 of file move.h.

## _GLIBCXX_FWDREF

#define _GLIBCXX_FWDREF | ( |  | _Tp | ) |

Definition at line 197 of file move.h.

## _GLIBCXX_MOVE

#define _GLIBCXX_MOVE | ( |  | __val | ) |

Definition at line 198 of file move.h.